worker_processes auto;
worker_rlimit_nofile 51200;
events
{
	worker_connections 51200;
	multi_accept on;
}
http {
		include       mime.types;
		#include luawaf.conf;
		include proxy.conf;
        default_type  application/octet-stream;

        server_names_hash_bucket_size 512;
        client_header_buffer_size 32k;
        large_client_header_buffers 4 32k;
        client_max_body_size 50m;

        sendfile   on;
        tcp_nopush on;

        keepalive_timeout 60;

        tcp_nodelay on;

        fastcgi_connect_timeout 300;
        fastcgi_send_timeout 300;
        fastcgi_read_timeout 300;
        fastcgi_buffer_size 64k;
        fastcgi_buffers 4 64k;
        fastcgi_busy_buffers_size 128k;
        fastcgi_temp_file_write_size 256k;
		fastcgi_intercept_errors on;

        gzip on;
        gzip_min_length  1k;
        gzip_buffers     4 16k;
        gzip_http_version 1.1;
        gzip_comp_level 2;
        gzip_types     text/plain application/javascript application/x-javascript text/javascript text/css application/xml;
        gzip_vary on;
        gzip_proxied   expired no-cache no-store private auth;
        gzip_disable   "MSIE [1-6]\.";

        limit_conn_zone $binary_remote_addr zone=perip:10m;
		limit_conn_zone $server_name zone=perserver:10m;

        server_tokens off;
        access_log off;

    server {
        listen       80;
        server_name  localhost;

        #charset koi8-r;

        #access_log  logs/host.access.log  main;

        location / {
            root   html;
            index  index.html index.htm;
        }
		location /nginx_status {
        	allow 127.0.0.1;
            deny all;
            stub_status on;
            access_log  off;
        }
    }
    server {
    listen       80;
    server_name  admin.fbylive.com;
	proxy_connect_timeout 300;
	proxy_send_timeout 300;
	proxy_read_timeout 300;
        location / {
          root   C:\Tools\ui\adminUI;
          try_files $uri $uri/ /index.html;
          index  index.html index.htm;
    }
     location /prod-api/ {
            proxy_set_header Host $http_host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header REMOTE_HOST $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
			proxy_set_header X-NginX-Proxy true;
            proxy_pass http://localhost:7011/;
    		client_body_timeout 500s;
			client_max_body_size 200m;
			proxy_connect_timeout 1800s;
			proxy_send_timeout 1800s;
			proxy_read_timeout 1800s;
			send_timeout 1800s;
       		 }
    }
     server {
      listen       80;
        server_name  company.fbylive.com;
		proxy_connect_timeout 300;
	proxy_send_timeout 300;
	proxy_read_timeout 300;
        location / {
            root   C:\Tools\ui\companyUI;
            try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        	}
        location /prod-api/ {
            			proxy_set_header Host $http_host;
            			proxy_set_header X-Real-IP $remote_addr;
            			proxy_set_header REMOTE_HOST $remote_addr;
            			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
			proxy_set_header X-NginX-Proxy true;
            			proxy_pass http://localhost:7012/;
    			client_body_timeout 500s;
			client_max_body_size 200m;
			proxy_connect_timeout 1800s;
			proxy_send_timeout 1800s;
			proxy_read_timeout 1800s;
			send_timeout 1800s;
       		 }
       }
		server {
		listen 80;
		server_name scrm.fbylive.com;
		location / {
			proxy_pass http://localhost:8006/;
			proxy_set_header Host $host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
		}
		location /WW_verify_CquJP69UyLfoMwTY.txt {
			alias C:\\Tools\\ui\\WW_verify_CquJP69UyLfoMwTY.txt;

        }
		location /qwh5/ {

			alias C:\\Tools\\ui\\qwh5\\;
			try_files $uri $uri/ /qwh5/index.html;


		}
		location /apis/ {
			proxy_pass http://localhost:7771/;
			proxy_set_header Host $host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
		}
	}
    		server {
		listen 80;
		server_name scrm.hyljcourse.com;
		location / {
			proxy_pass http://localhost:8006/;
			proxy_set_header Host $host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
		}
		location /WW_verify_CquJP69UyLfoMwTY.txt {
			alias C:\\Tools\\ui\\WW_verify_CquJP69UyLfoMwTY.txt;

        }

        location /qwh5 {
        alias C:\\Tools\\ui\\qwh5UI\\;
        try_files $uri $uri/ /qwh5/index.html;
        }
		location /apis/ {
			proxy_pass http://localhost:7771/;
			proxy_set_header Host $host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
		}
	}
    server {
		listen 80;
		server_name tool.fbylive.com;
		location / {
			proxy_pass http://localhost:7771/;
			proxy_set_header Host $host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
		}
	}
    server {
		listen 80;
		server_name userapp.fbylive.com;
		location / {
			proxy_pass http://localhost:7005/;
			proxy_set_header Host $host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
		}
	}
     server {
		listen 80;
		server_name h5.fbylive.com;
		location / {

            root   C:\Tools\ui\companyAppUI;
            index  index.html index.htm;
            try_files $uri $uri/ /index.html;
        }
        location /courseH5 {
        alias C:\Tools\ui\courseh5UI;
         try_files $uri $uri/ /courseH5/index.html;  # 回退到index.html
        }
        location /prod-api/ {
            proxy_pass http://localhost:7015/;
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Proto $scheme;
        }
        location /MP_verify_W5rBtdyb9f8ytWWG.txt {
			alias C:\\Tools\\ui\\MP_verify_W5rBtdyb9f8ytWWG.txt;
        }
	}
    include vhost/*.conf;
    #加载vhost目录下的虚拟主机配置文件
}
stream {
    # TCP/UDP 代理配置
    server {
        listen 2345;
        proxy_pass 192.168.0.74:3306;
    }
}
